simd.h File Reference

Templates exposing SIMD operators. More...

`#include "../array.h"`
`#include "../numeric_types.h"`
`#include "simd_sm60.h"`
`#include "simd_sm61.h"`
Include dependency graph for simd.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Namespaces

| cutlass
| cutlass::arch

## Functions

template<typename T , int N>
CUTLASS_HOST_DEVICE Array< T, N > | cutlass::arch::operator* (Array< T, N > const &a, Array< T, N > const &b)
template<typename T , int N>
CUTLASS_HOST_DEVICE Array< T, N > | cutlass::arch::operator+ (Array< T, N > const &a, Array< T, N > const &b)
template<typename T , int N>
CUTLASS_HOST_DEVICE Array< T, N > | cutlass::arch::operator- (Array< T, N > const &a, Array< T, N > const &b)
template<typename T , int N>
CUTLASS_HOST_DEVICE Array< T, N > | cutlass::arch::mac (Array< T, N > const &a, Array< T, N > const &b, Array< T, N > const &c)
template<typename Element , typename Accumulator , int N>
CUTLASS_HOST_DEVICE Accumulator | cutlass::arch::dot (Array< T, N > const &a, Array< T, N > const &b, Accumulator accum)